drop table users;
create table users (
            -- login userid, uniquely identify a user
        userid varchar2(50) constraint pk_uid primary key,  
	    -- login password
        password varchar2(20) constraint nn_passwd NOT NULL,
	    -- User's real name
        name varchar2(50) constraint nn_name NOT NULL,
            -- optional, emaill address
        email varchar2(100) default null,
            -- group id
        gid integer default 1,
	    -- home page
	url varchar2(100) default NULL,
	    -- telephone number
        tel varchar2(20) default NULL,
            -- office address
        office varchar2(50) default NULL,
	    -- last access/login time
        time date default sysdate,
            -- session timeout window in minutes
        timeout number(8,5) default 5.0,
            -- encrpted session id, generated at login time
        sid varchar2(50) default NULL,
            -- optional, restricted client hostname(s)
        host varchar2(200) default null,
            -- time when the user created by root
        creation_time date default sysdate
);

drop table sessions;
CREATE TABLE sessions (
                visit_time date default sysdate,
		userid varchar2(50),
		sid varchar2(50),
		browser varchar2(100),
                REMOTE_HOST varchar2(70),
                REMOTE_ADDR varchar2(20)		
);

create index i_visitor_host on sessions(remote_host) tablespace tools;
create index i_svisitor_time on sessions(visit_time) tablespace tools;

drop table transactions;
CREATE TABLE transactions (
                visit_time date default sysdate,
		userid varchar2(50),	
		sid varchar2(50),
		action varchar2(100) default NULL
);
create index i_tvisitor_time on transactions(visit_time) tablespace tools;


insert into users(userid,password,email,name,gid,url)
	values('root','root','gcheng@npac.syr.edu','Gang Cheng',9,'http://greatwall.npac.syr.edu:1963');
